.view-blog-card.view-blog-card--style-1 {
    background: #fff;
    border-radius: 16px;
    font-family: inherit;
    padding: 8px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    box-shadow: 0 0 5px 2px #f6f6f6;
}

.view-blog-card--style-1 .view-blog-card__thumb {
    display: block;
    border-radius: 8px;
    overflow: hidden;
    width: 100%;
    max-height: 204px;
    height: 204px;
}

.view-blog-card--style-1 .view-blog-card__img {
    display: block;
    width: 100%;
    height: 100%;
    border-radius: 0;
    object-fit: cover;
}

.view-blog-card--style-1 .view-blog-card__body {
    padding: 11px 0;
    width: calc(100% - 22px);
}

.view-blog-card--style-1 .view-blog-card__title {
    font-size: 20px;
    line-height: 35px;
    font-weight: 700;
    color: var(--view-accent);
    margin: 0;
    transition: all 300ms;
}

/*.view-blog-card--style-1:hover .view-blog-card__title{
    white-space: unset;
    overflow: unset;
    text-overflow: unset;
}*/

.view-blog-card--style-1 .view-blog-card__title a {
    color: inherit;
    text-decoration: none;
}

.view-blog-card--style-1 .view-blog-card__excerpt {
    margin: 0 2px 12px 0;
    font-size: 14px;
    line-height: 26px;
    color: #6b7280;
}

/*.view-blog-card--style-1:hover .view-blog-card__excerpt{*/
/*    display: none;*/
/*}*/

/* فوتر و CTA */
.view-blog-card--style-1 .view-blog-card__foot {
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;
    flex-direction: row-reverse;
}

.view-blog-card.view-blog-card--style-1 .view-blog-card__foot svg rect,
.view-blog-card.view-blog-card--style-1 .view-blog-card__foot svg path,
.view-blog-card.view-blog-card--style-1 .view-blog-card__foot svg circle {
    transition: all 300ms;
}

.view-blog-card.view-blog-card--style-1:hover .view-blog-card__foot svg rect {
    fill: var(--view-secondary);
}

.view-blog-card.view-blog-card--style-1:hover .view-blog-card__foot svg path {
    fill: var(--view-secondary);
}

.view-blog-card.view-blog-card--style-1:hover .view-blog-card__foot svg circle {
    stroke: var(--view-secondary);
}

.view-blog-card--style-1 .view-blog-card__cta {
    width: 48px;
    height: 48px;
    border-radius: 999px;
    background: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
}


.view-blog-card--style-1 .view-blog-card__meta {
    display: flex;
    align-items: center;
    gap: 8px;
    color: #9aa3b2;
    font-size: 13px;
    font-weight: 600;
    direction: rtl;
}

.view-blog-card--style-1 .view-blog-card__meta time:before {
    content: '';
    width: 10px;
    height: 10px;
    border-radius: 2px;
    background: var(--view-secondary);
    display: inline-block;
    margin-left: 8px;
    transition: all 300ms;
}


.view-blog-card--style-1 .placeholder {
    background: #eef0f6;
}


/*BLOG ARCHIVE STYLE*/


.blog-title {
    margin-top: -30px;
    background: #fff;
    width: fit-content;
}

.blog-title h1 {
    padding: 0;
    margin: 0;
    font-size: 24px;
    font-weight: 900;
    line-height: 56px;
}

.blog-title span {
    color: var(--view-accent-400);
    font-family: inherit;
    font-size: 12px;
    line-height: 56px;
}

.blog-content {
    border: 1px solid #E9E9ED;
    border-radius: 32px;
    background: repeating-linear-gradient(
            to bottom,
            rgba(233, 233, 237, 0) 0%,
            rgba(233, 233, 237, 0.2) 10%,
            rgba(233, 233, 237, 0) 20%
    );
}

.blog-title, .view-blog-breadcrumb {
    margin-right: 16px;
}


/*SIDEBAR*/

.view-cat-filter {
    padding: 0;
    margin: 0;
    display: flex;
    flex-direction: column;
    gap: 10px;
    list-style: none;
}

.view-blog-cat {
    padding: 12px 12px 57px 12px;
    margin: 0 16px 16px 16px;
    background: #fff;
    border-radius: 24px;
    border: 1px solid #E9E9ED;
    display: flex;
    flex-direction: column;
    gap: 16px;
    position: relative;
    z-index: 0;
}

.view-blog-cat:before {
    content: '';
    display: block;
    width: 1px;
    height: 90%;
    background: var(--view-primary-100);
    position: absolute;
    top: 0;
    right: 12%;
    z-index: -1;
}

.view-blog-cat:after {
    content: '';
    display: block;
    width: 9px;
    height: 9px;
    background: var(--view-primary-100);
    position: absolute;
    top: 90%;
    right: 10.5%;
    z-index: -1;
    border-radius: 50%;
}

.view-blog-cat .categories-header {
    gap: 12px;
}

.view-blog-cat .categories-header h3 {
    padding: 0;
    margin: 0;
    font-size: 18px;
    font-weight: 700;
    line-height: 26px;
}

.view-blog-cat .categories-header span {
    color: var(--view-accent-400);
    font-family: inherit;
    font-size: 12px;
    line-height: 20px;
    font-weight: 500;
}

.view-blog-cat a.view-cat-link {
    display: flex;
    flex-direction: row-reverse;
    justify-content: space-between;
    align-items: center;
    text-decoration: none;
    width: 100%;
    padding: 0;
    margin: 0;
    font-size: 16px;
    font-weight: 500;
    color: var(--view-accent);
    transition: ease-in-out 100ms;
}

.view-blog-cat .view-cat-icon {
    width: 32px;
    height: 32px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.view-blog-cat li.view-cat-item {
    padding: 8px 16px 8px 8px;
    border-radius: 24px;
    display: flex;
    align-items: center;
    flex-direction: row;
    justify-content: space-between;
    position: relative;
    z-index: 0;
    transition: ease-in-out 100ms;
    overflow: hidden;
}

.view-blog-cat li.view-cat-item:nth-child(odd) {
    background-color: var(--view-primary-50);
    border: 1px solid var(--view-primary-100);
}

.view-blog-cat li.view-cat-item:nth-child(odd):hover {
    background-color: var(--view-primary);
    border: 1px solid var(--view-primary);
}

.view-blog-cat li.view-cat-item:nth-child(odd) .view-cat-icon svg path {
    stroke: var(--view-primary);
}

.view-blog-cat li.view-cat-item:nth-child(odd) .view-cat-icon svg circle {
    fill: var(--view-primary-100);
}

.view-blog-cat li.view-cat-item:nth-child(odd):hover .view-cat-icon svg circle {
    fill: #ffffff80;
}


.view-blog-cat li.view-cat-item:nth-child(even) {
    background-color: var(--view-secondary-50);
    border: 1px solid var(--view-secondary-100);
}

.view-blog-cat li.view-cat-item:nth-child(even):hover {
    background-color: var(--view-secondary);
    border: 1px solid var(--view-secondary);
}

.view-blog-cat li.view-cat-item:nth-child(even) .view-cat-icon svg path {
    stroke: var(--view-secondary);
}

.view-blog-cat li.view-cat-item:nth-child(even) .view-cat-icon svg circle {
    fill: var(--view-secondary-100);
}

.view-blog-cat li.view-cat-item:nth-child(even):hover .view-cat-icon svg circle {
    fill: #ffffff80;
}

.view-blog-cat li.view-cat-item.is-active:nth-child(odd) {
    background-color: var(--view-primary);
    border: 1px solid var(--view-primary);
}

.view-blog-cat li.view-cat-item.is-active:nth-child(even) {
    background-color: var(--view-secondary);
    border: 1px solid var(--view-secondary);
}

.view-blog-cat li.view-cat-item .view-cat-icon svg circle {
    transition: ease-in-out 100ms;
}

.view-blog-cat li.view-cat-item.is-active:before,
.view-blog-cat li.view-cat-item:hover:before {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    display: block;
    width: 100%;
    height: 100%;
    background: url("../image/horizontal-pattern.png");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
    z-index: -1;
    mix-blend-mode: overlay;
}

.view-blog-cat li.view-cat-item.is-active a.view-cat-link,
.view-blog-cat li.view-cat-item:hover a.view-cat-link {
    color: #fff;
}

.view-blog-cat li.view-cat-item a.view-cat-link .view-cat-title {
    display: flex;
    align-items: center;
    flex-direction: row;
}

.view-blog-cat li.view-cat-item.is-active a.view-cat-link .view-cat-title:after,
.view-blog-cat li.view-cat-item:hover a.view-cat-link .view-cat-title:after {
    content: '';
    width: 8px;
    height: 8px;
    background: #fff;
    border-radius: 2px;
    transform: rotate(135deg);
    display: block;
    margin-right: 8px;
    transition: ease-in-out 100ms;
}

.view-blog-cat li.view-cat-item.is-active a.view-cat-link svg circle {
    fill: #ffffff80;
}

/*BLOG SINGLE*/

.view-single-blog .single-content {
    border: 1px solid #E9E9ED;
    border-radius: 32px;
    background: repeating-linear-gradient(
            to bottom,
            rgba(233, 233, 237, 0) 0%,
            rgba(233, 233, 237, 0.2) 10%,
            rgba(233, 233, 237, 0) 20%
    );
}

.view-single-blog .the-content-wrapper {
    position: relative;
    z-index: 0;
}

.view-single-blog .the-content-wrapper:after {
    content: '';
    position: absolute;
    left: 0;
    top: 32vh;
    display: block;
    background: url("../image/single-pattern.png ");
    width: 22px;
    height: 265px;
    z-index: -1;
}


.view-single-blog .single-title {
    margin-right: 16px;
    margin-top: -30px;
    background: linear-gradient(180deg, #fff, #fefefe);
    width: fit-content;
}

.view-single-blog .single-title .the-title {
    margin: 0;
    padding: 0;
    font-size: 24px;
    font-weight: 900;
    color: var(--view-accent);
    line-height: 56px;
}

.view-single-blog .single-title .entry-subtitle {
    color: var(--view-accent-400);
    font-weight: 600;
    font-size: 12px;
    line-height: 56px;
    padding: 0;
    margin: 0;
}

.single-blog-content .meta-item {
    border: 2px solid var(--view-primary);
    background: #fff;
    border-radius: 16px;
    position: relative;
    overflow: hidden;
    z-index: 0;
    box-sizing: border-box;
    max-width: 215px;
}

.single-blog-content .meta-item:before {
    content: '';
    position: absolute;
    right: 0;
    top: 0;
    display: block;
    background: url("../image/vertical-pattern.png");
    width: 60px;
    height: 100%;
    z-index: -1;
}

.single-blog-content .meta-item:after {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    display: block;
    background: url("../image/vertical-pattern.png");
    width: 20px;
    height: 100%;
    z-index: -1;
}

.single-blog-content .meta-name {
    font-size: 14px;
    font-weight: 400;
    color: var(--view-accent-500);
}

.single-blog-content .meta-value, .single-blog-content .post-cat {
    font-size: 16px;
    font-weight: 600;
    color: var(--view-accent);
    text-decoration: none;
}

.single-blog-content .meta-wrapper {
    position: relative;
    z-index: 1;
    box-sizing: border-box;
}

.single-blog-content .meta-wrapper-bg {
    width: 100%;
    height: 72px;
    border-radius: 16px;
    background: radial-gradient(43.81% 152.92% at 50% 50%, #5B51D8 0%, #41399A 100%);
    margin-top: -45px;
    position: relative;
    z-index: 0;
    overflow: hidden;
}

.single-blog-content .meta-wrapper-bg:before {
    content: '';
    position: absolute;
    right: 0;
    top: 0;
    display: block;
    background: url("../image/vertical-pattern-dark.png");
    width: 30px;
    height: 100%;
    z-index: -1;
    background-size: cover;
    mix-blend-mode: hard-light;
}

.single-blog-content .meta-wrapper-bg:after {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    display: block;
    background: url("../image/vertical-pattern-dark.png");
    width: 30px;
    height: 100%;
    z-index: -1;
    background-size: cover;
    mix-blend-mode: hard-light;
}

.single-blog-content .featured-image {
    padding: 8px;
    border: 2px solid rgba(222, 220, 247, 1);
    border-radius: 32px;
    position: relative;
    z-index: 0;
}

.single-blog-content .featured-image img {
    object-fit: cover;
    border-radius: 24px;
    width: 100%;
    height: 480px;

}

.single-blog-content .post-action-btn.post-action-share span {
    color: #CECBF3;
    transition: ease-in-out 300ms;
}

.single-blog-content .post-action-btn.post-action-share:hover span {
    color: #F3ACC4;
}

.single-blog-content .post-action-btn.post-action-share svg.is-hover {
    opacity: 0;
    visibility: hidden;
    transition: ease-in-out 300ms;
}

.post-action-share {
    transition: ease-in-out 300ms;
    position: relative;
}

.post-action-share:before {
    content: '';
    position: absolute;
    right: -12px;
    top: 18px;
    display: block;
    background: rgba(239, 238, 251, 1);
    width: 2px;
    height: 15px;
    z-index: -1;
}

.post-action-share:after {
    content: '';
    position: absolute;
    left: -12px;
    top: 18px;
    display: block;
    background: rgba(239, 238, 251, 1);
    width: 2px;
    height: 15px;
    z-index: -1;
}

.single-blog-content .post-action-btn.post-action-share:hover svg {
    opacity: 0;
    visibility: hidden;
    transition: ease-in-out 300ms;
}

.single-blog-content .post-action-btn.post-action-share svg.is-hover {
    position: absolute;
    right: 0;
}

.single-blog-content .post-action-btn.post-action-share:hover svg.is-hover {
    opacity: 1;
    visibility: visible;
    transition: ease-in-out 300ms;
    box-shadow: 1px 10px 26px -2px rgba(230, 63, 102, 0.4);
    border-radius: 999px;
}

.single-blog-content .the-content {
    position: relative;
    overflow-y: clip;
}

.single-blog-content .the-content:before {
    content: '';
    position: absolute;
    right: -24px;
    top: 0;
    display: block;
    background: url("../image/single-pattern.png ");
    width: 18px;
    height: 380px;
    z-index: -1;

}


.single-blog-content .the-content * {
    color: rgba(100, 98, 126, 1);
    font-size: 16px;
    line-height: 32px;
    font-weight: 500;
}

.single-blog-content .the-content p {
    margin: 0;
    padding: 0;
}


.view-single-blog .comments-wrapper {
    margin-top: 90px;
    border: 1px solid #E9E9ED;
    border-radius: 32px;
    background: repeating-linear-gradient(
            to bottom,
            rgba(233, 233, 237, 0) 0%,
            rgba(233, 233, 237, 0.2) 10%,
            rgba(233, 233, 237, 0) 20%
    );
}


.view-single-blog .comments-title {
    margin-right: 16px;
    margin-top: -30px;
    background: repeating-linear-gradient(
            to bottom,
            #fff,
            #fefefe 100%
    );
    width: fit-content;
}

.view-single-blog .comments-title h4 {
    padding: 0;
    margin: 0;
    font-size: 24px;
    font-weight: 900;
    line-height: 56px;
}

.view-single-blog .comments-title span {
    color: var(--view-accent-400);
    font-family: inherit;
    font-size: 12px;
    line-height: 56px;
}


.view-single-blog .related-articles-wrap {
    background: repeating-linear-gradient(
            to bottom,
            rgba(233, 233, 237, 0) 0%,
            rgba(233, 233, 237, 0.2) 10%,
            rgba(233, 233, 237, 0) 20%
    );
    margin-top: 90px;
    border: 1px solid #E9E9ED;
    border-radius: 32px;
    width: 100%;
}

.view-single-blog .recommended-product {
    margin-top: 90px;
    position: sticky;
    top: 20px;
}

.view-single-blog .recommended-product h6 {
    font-size: 16px;
    font-weight: 700;
    color: var(--view-accent);
    margin: 0;
    padding: 0;
}

.view-single-blog .related-articles-header {
    margin-right: 16px;
    margin-left: 16px;
    margin-top: -30px;
}

.view-single-blog .related-articles-header h4 {
    padding: 0;
    margin: 0;
    font-size: 24px;
    font-weight: 900;
    line-height: 56px;
}

.view-single-blog .related-articles-header span {
    color: var(--view-accent-400);
    font-family: inherit;
    font-size: 12px;
    line-height: 56px;
}

.view-single-blog .related-articles-header a {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 10px;
    text-decoration: none;
    color: var(--view-accent-400);
    font-size: 18px;
    line-height: 26px;
    font-weight: 500;
    background: repeating-linear-gradient(
            to bottom,
            #fff,
            #fefefe 100%
    );
}

.view-single-blog .related-articles-header .d-flex.align-items-center.gap-3 {
    background: repeating-linear-gradient(
            to bottom,
            #fff,
            #fefefe 100%
    );
}

.view-single-blog .recommended-product .vwpc-card {
    background: #F4F4F6;
}


/* Header with arrows */
.view-catfilter .view-catfilter-header {
    position: relative;
    margin-bottom: 12px;
}

/* Horizontal pills row */
.view-catfilter .view-catfilter-tabs {
    display: flex;
    gap: 4px;
    padding: 0px; /* space for arrows */
    overflow-x: auto;
    /*-webkit-overflow-scrolling: touch;*/
    scrollbar-width: none;
    /*scroll-snap-type: x proximity;*/
    scroll-snap-align: start;
}

.view-catfilter .view-catfilter-tabs::-webkit-scrollbar {
    display: none;
}


/* Pills */
.view-catfilter .view-catfilter-tab {
    appearance: none;
    border: 1px solid #E9E9ED;
    background: #FFF;
    color: var(--view-accent);
    border-radius: 9999px;
    padding: 6px;
    font-size: 14px;
    line-height: 21px;
    font-weight: 400;
    white-space: nowrap;
    cursor: pointer;
    scroll-snap-align: start;
    transition: background-color .2s, border-color .2s, color .2s, box-shadow .2s;
    background: #fff;
}


.view-catfilter .view-catfilter-tab.is-active {
    background: #EFEEFB;
    border-color: #BDB9EF;
}

/* Results gap */
.view-catfilter .view-catfilter-results {
    margin-top: 6px;
}

/* draggable cursor */
.view-catfilter .view-catfilter-tabs {
    cursor: grab;
}

.view-catfilter .view-catfilter-tabs.is-grabbing {
    cursor: grabbing;
    user-select: none;
}


.blog-content-wrapper div {
    box-sizing: border-box;
}

@media screen and (max-width: 768px) {
    .single-blog-content .meta-item {
        max-width: 100%;
    }

    .single-blog-content .featured-image img {
        max-height: 200px;
    }

    .view-single-blog .single-title {
        margin-right: unset;
        margin-top: unset;
        background: transparent;
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: start !important;
        padding: 8px 16px;
        margin-bottom: 16px;
    }

    .view-single-blog .single-title .the-title,
    .view-single-blog .comments-title h4,
    .view-single-blog .related-articles-header h4 {
        font-size: 18px;
        font-weight: 900;
        line-height: 30px;
    }

    .view-single-blog .single-title .entry-subtitle,
    .view-single-blog .comments-title span,
    .view-single-blog .related-articles-header span {
        line-height: 20px;
    }

    .view-single-blog .related-articles-header span {
        display: none;
    }

    .view-single-blog .related-articles-header a{
        font-size: 15px;
    }
}